### Function

# Camel util_bdata_put_number

since: 3.24

#### Declaration [src]

    void
    camel_util_bdata_put_number (
      GString* bdata_str,
      gint64 value
    )

#### Description [src]

Puts the number `value` at the end of the `bdata_str`. In case the `bdata_str` is not empty a space is added before the numeric `value`. The stored value can be read back with the camel_util_bdata_get_number().

Available since: 3.24

#### Parameters

`bdata_str`

  Type: `GString`

  A `GString` to store a backend specific data (bdata).

  The data is owned by the caller of the function.

`value`

  Type: `gint64`

  A value to store.